GET /_system/react/components/{guid}

Get a specific React component by its GUID

Get a specific React component by its GUID
KeyTypeExampleDescription
guidrequiredstring
"example"
Unique identifier (GUID)
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "action_type_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
  "component_code": "text_input",
  "component_identifier": "text_input",
  "component_inpins": [
    {}
  ],
  "description": "Used by the nightly order sync.",
  "last_modified": {
    "firstname": "Joe",
    "lastname": "Doe",
    "user_guid": "b9ee6a631b24e78d1aa48aef0dc067fff7bfbacd24a56ef4ed1f08e537d48b6b",
    "username": "joe"
  },
  "name": "production"
}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
404ERRORComponent not found
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
react_components_viewRequired scope: react_components_view

Back to React Components Return to the React Components category to view other endpoints All API Categories Browse all available API categories